#! /bin/sh
### BEGIN INIT INFO
# Provides:          swift-account
# Required-Start:    $remote_fs $network
# Required-Stop:     $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Swift account server
# Description:       Account server for Swift.
### END INIT INFO

DESC="OpenStack Swift account server (swift-account)"
PROJECT_NAME=swift
NAME="${PROJECT_NAME}-account"
CONFIG_FILE=/etc/${PROJECT_NAME}/account-server.conf
UWSGI_PORT=6002
UWSGI_INI_PATH=/etc/swift/swift-account-server-uwsgi.ini
UWSGI_INI_APP=/usr/bin/swift-account-server-uwsgi
UWSGI_BIND_CONFIG_FILE=/etc/${PROJECT_NAME}/account-server.conf
UWSGI_BIND_CONFIG_SECTION=DEFAULT
UWSGI_BIND_CONFIG_IP_DIRECTIVE=bind_ip
UWSGI_BIND_CONFIG_PORT_DIRECTIVE=bind_port
UWSGI_BIND_CONFIG_WORKERS_DIRECTIVE=workers
CUSTOM_SYSTEMD_UNIT="ConditionFileNotEmpty=/etc/swift/account-server.conf
AssertFileNotEmpty=/etc/swift/account.ring.gz"
